Description

In the raster properties there are two options

    -  contrast enhancement

    -  standard deviation

with a button to allow same the configuration in a way that it stays "persistent between qgis sessions"

Such configurations make more sense in QGIS general options, leaving them also in the raster properties to allow the user override the

general configuration in any specific raster layer.

History

#1 - 2012-01-30 11:07 AM - Giovanni Manghi

The button to save the standard deviation shows only in RGB raster, not single band. Don't know if this is right/on purpose or if it is another bug.

#2 - 2012-01-30 11:13 AM - Alexander Bruy

Not sure that this makes sense. In some use cases it is necessary to have raster with and without stretching in same project

#3 - 2012-01-30 11:19 AM - Giovanni Manghi

Alexander Bruy wrote:

Not sure that this makes sense. In some use cases it is necessary to have raster with and without stretching in same project

yes, this is because I wrote that is necessary to maintain the same configurations also at a layer level. Anyway it is just a suggestion to feel free to close it

as invalid if you feel it does not make sense at all.

But this way a user would be able for example to not have stretching/stats by default, and then compute them only where needed.

#4 - 2012-01-30 11:24 AM - Maxim Dubinin

I believe, the button to save STD should work for 1 band rasters as well.
Regarding remove 'save settings' buttons to general options, I agree this would nice to have! I'd just add a note or link to this section in general options

right on the raster attributes window.

#5 - 2012-02-11 02:17 AM - Alexander Bruy

Should we leave ability to change global defaults from raster properties or only allow to change this settings for current raster?

#6 - 2012-02-12 03:16 PM - Giovanni Manghi

Alexander Bruy wrote:

Should we leave ability to change global defaults from raster properties or only allow to change this settings for current raster?

In my personal opinion the global behaviour should be moved to the "options" item in the "settings" menu. In each raster layer the global options (for

stretching, standard deviation, etc.) should be available in case its necessary to override the general parameters.

#7 - 2012-02-12 10:21 PM - Paolo Cavallini

+1

Please also add a sensible default for greyscale.

#8 - 2012-02-13 04:33 AM - Giovanni Manghi

Paolo Cavallini wrote:

+1

Please also add a sensible default for greyscale.

Side notes: generally speaking rasters should be loaded "as they are", leaving computing of stats as an option. When computing stats a progress bar

should be presented, to avoid let users think that qgis frooze (as it can take a lot for large rasters). The default stadard devation value (2) seems a bit to

high, it easy to demonstrate that a smaller value (around 1.7) produced better results.

#9 - 2012-02-15 10:20 AM - Giovanni Manghi

Alexander Bruy wrote:

Should we leave ability to change global defaults from raster properties or only allow to change this settings for current raster?

as suggested in the users mailing list it could be good also to put in the qgis general options the option about what colormap apply by default to newly

one-banded rasters added to the project, leaving obviously the option to override at a layer level.

#10 - 2012-04-04 05:33 AM - alobo -

According to what I'm seeing, is not only that the "save" (disquette) button is not
present for single band raster layers, the STD option results into a 0,0 range and black display,

no matter the value of the factor. I've also tried different data types (INTUS, INT2S, FLT8S...)

Perhaps this issue should be a different ticket?

Agus

#11 - 2012-04-04 06:00 AM - alobo -

I withdraw my comment: the problem with the 0,0 range resulting

from applying the STD option is not related to the number of bands and is

not related to the presence of the save button. It is a different problem

that occurs for some raster layers.

#12 - 2012-04-14 01:35 AM - Alexander Bruy

I tried to implement this, look at branch raster_settings in my fork.

#13 - 2012-04-14 09:01 AM - Giovanni Manghi

Alexander Bruy wrote:

I tried to implement this, look at branch raster_settings in my fork.

Hi Alexander, finally I made to have a look to your branch. To me is a nice improvement. Will try more now with a large dataset.

#14 - 2012-04-15 04:32 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Implemented in commit:f74f70e6ea
https://github.com/alexbruy/Quantum-GIS/tree/raster_settings
https://github.com/alexbruy/Quantum-GIS/tree/raster_settings

